Function GameOver()
	SetColor 255, 255, 255
	
	SetImageFont TitleFont
	DrawText "GAMEOVER", 10, 10
	
	SetImageFont SmallFont
	DrawText "MissClicks:", 10, 75
	DrawText "Bonus Time:", 10, 95
	DrawText "Fastest Hit:", 10, 115
	DrawLine 10, 135, 210, 135
	DrawText "Points:", 10, 150
	
	DrawText MissClicks, 150, 75
	DrawText BonusTime+"ms", 150, 95
	If FastestHit<999999 Then
		DrawText FastestHit+"ms", 150, 115
	Else
		DrawText "---", 150, 115
	EndIf
	DrawText Points, 150, 150
	
	If NewHighscore Then
		SetColor 255, 0, 0
		DrawText "New Highscore!", 10, 170
		SetColor 255, 255, 255
		DrawText "Name: "+Name, 10, 190
		Name = Input2(Name)
		If Fade > 0 Then 
			Fade :- 5
			SetColor Fade, 0, 0
			DrawText "Namen eingeben!", 10, 210
			SetColor 255, 255, 255
		endif
	EndIf
	
	SetImageFont Font
	
	If NewHighscore Then
		HighscoreButton2.Draw()
	Else
		BackButton.Draw()
	EndIf
	
	If MouseHit(1) Then
		If HighscoreButton2.MouseOver() And NewHighscore Then
			If Name = "" Then
				Fade = 255
			Else
				LogHighscore(Name, Points)
				GAMEMANAGER = GAME_HIGHSCORE
			EndIf
		EndIf
		If BackButton.MouseOver() And NewHighscore = False Then GAMEMANAGER = GAME_MENU
	EndIf
	
	CastParticles(MouseX(), MouseY(), 1, Rand(1,2), 10, 200+Rand(55), Rand(100), 0)
End Function

Function Input2:String(iText:String)
	Local Char:Byte = GetChar()
			
	If Char = 8 Then
		Local length:Int = Len(iText)
		If length > 0 Then
			iText = Left(iText, length - 1)
		EndIf
 	ElseIf (Char > 0) Then
		iText :+ Chr(Char)
	EndIf
	Return iText
End Function