Type TButton
	Field Text:String
	Field x:Int, y:Int
	Field w:Int, h:Int
	
	Method MouseOver:Byte()
		If MouseX()>x And MouseY()>y And MouseX()<x+w*2 And MouseY()<y+h*2 Then
			Return True
		EndIf
		Return False
	End Method
	
	Method Draw()
		If MouseOver() Then
			SetColor 128, 128, 128
		Else
			SetColor 255, 255, 255
		EndIf
		DrawText Text, x, y
	End Method
End Type

Function CreateButton:TButton(Text:String, ix:Int, iy:Int)
	Local B:TButton
	
	B = New TButton
	B.Text = Text
	B.x = ix
	B.y = iy
	B.w = TextWidth(Text)
	B.h = TextHeight(Text)
	
	Return B
End Function
